Document structure

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Document structure and the translation is 95% complete.

Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎Bahasa Indonesia • ‎italiano • ‎한국어 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎
Screenshot treeview.jpg

Dokument FreeCADa zawiera wszystkie obiekty twojej sceny. Może zawierać grupy i obiekty wykonane w dowolnym warsztacie. Dlatego możesz przełączać się między warsztatami, ciągle pracując z tym samym dokumentem. Dokument jest tym co zostaje zapisane na dysku kiedy zahowujesz swoją pracę. Możesz także uruchomić kilka dokumentów jednocześnie i kilka widoków tego samego dokumentu.

W środku dokumentu obiekty mogą być łączone w grupy i posiadać unikalną nazwę. Zarządzanie grupami, obiektami i nazwami obiektów dokonywane jest głównie z poziomu drzewo widoku (Tree view). Jak wszystko we FreeCADzie, można dokonać tego przez interpreter Pythona. W Drzewie widoku możesz tworzyć grupy, łączyć obiekty w grupy, usuwać obiekty lub grupy przez kliknięcie prawym przyciskiem na drzewo lub obiekt, zmieniać nazwy przez podwójne kliknięcie na ich nazwy lub dokonywać innych operacji - zależnie od warsztatu.

Wewnątrz dokumentu FreeCADa mogą znajdować się obiekty różnych typów. Każdy warsztat może tworzyć własne typy obiektów, np Warsztat Mesh tworzy obiekty siatki, Warsztat Part tworzy obiekty Part, Warsztat Draft także tworzy obiekty Part, itp.

Jeśli we FreeCADzie jest otwarty przynajmniej jeden dokument, to jeden i tylko jeden aktywny dokument. Dokument nad którym pracujesz pojawia się w widoku 3D.

Aplikacja i Interfejs Użytkownika

Jak niemal wszystko we FreeCADzie, interfejs użytkownika (Gui) jest odseparowany od programu bazowego (App). Dotyczy to także dokumentów. Dokumenty złożone są z dwóch części: dokument Aplikacji, który zawiera nasze obiekty i dokument Widoku, który zawiera reprezentację naszych obiektów na ekranie.

Myśl o tym jako o dwóch miejscach, gdzie są zdefiniowane obiekty. Ich parametry konstrukcyjne (to sześcian? stożek? o jakim rozmiarze?) są zmagazynowane w dokumencie Aplikacji, podczas gdy ich reprezentacja graficzna(jest narysowany przy pomocy czarnych linii? z niebieskimi ścianami?) są zmagazynowane w dokumencie Widoku. Dlaczego tak jest? Ponieważ FreeCAD może być także uruchamiany BEZ interfejsu graficznego, np. wewnątrz innych programów i musimy mieć nadal możliwość manipulowania naszymi obiektami, pomimo że nic nie jest ryzowane na ekranie.

Kolejną rzeczą zawartą w dokumencie Widoku są widoki 3D. Jeden dokument może być otwarty w kilku widokach, więc możesz kontrolować obiekt w kilku punktach widoku w tym samym czasie. Może chcesz zobaczyć widok z góry i z przodu twojej pracy w tym samym czasie? Wtedy masz dwa widoki tego samego dokumentu, oba zmagazynowane w dokumencie Widoku,. Tworzenie nowych lub zamykanie widoków może być dokonywane przez menu Widoku lub kliknięcie prawym przyciskiem w zakładkę widoków.

Skryptowanie

Dokumenty mogą być łatwo tworzone, otwierane and modyfikowane przez interpreter Pythona. Na przykład:

FreeCAD.ActiveDocument

Zwróci aktualny (aktywny) dokument

FreeCAD.ActiveDocument.Blob

Uzyskanie dostępu do obiektu nazwanego "Blob" w twoim dokumencie

FreeCADGui.ActiveDocument

Zwróci dokument widoku powiązany z aktualnym dokumentem

FreeCADGui.ActiveDocument.Blob

Uzyskanie dostępu do graficznej reprezentacji (widoku) naszego obiektu Blob

FreeCADGui.ActiveDocument.ActiveView

Zwróci aktualny widok